(*Copyright (C) 2004 Jean-Baptiste Rouquier, see main.ml*)

(**Shuffles the "inner" (ie nor the first neither the last) letters of the given word.*)
val shuffle_mot : string -> unit

(** [split_mots string]
  @return [non_word,list] where [non_word] is the characters before the first word,
  and [list] is a list of [word, non_word] pairs where [word] is a word
  and [non_word] is the characters before the next word
    (or before the end of the list).
*)
val split_mots : string -> string * (string * string) list
